Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet
Class WebRequestDelegatingRequestContext

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.WebRequestDelegatingRequestContext

All Implemented Interfaces:
  GrailsRequestContext

Direct Known Subclasses:
  AbstractDelegate

    public class WebRequestDelegatingRequestContext

extends Object
implements GrailsRequestContext

Delegates calls to a passed GrailsWebRequest instance.

Since:
  0.6

  Created: Jul 20, 2007 Time: 6:34:25 PM
Author:
  Graeme Rocher

Constructor Summary
`WebRequestDelegatingRequestContext()`

Method Summary
`String` | `getActionName()`
`ApplicationContext` | `getApplicationContext()` The ApplicationContext instance
`String` | `getControllerName()`
`Writer` | `getOut()` The response writer
`Map` | `getParams()` The params object
`HttpServletRequest` | `getRequest()` The request object
`String` | `getRequestURI()`
`HttpServletResponse` | `getResponse()` The response object
`ServletContext` | `getServletContext()` The servletContext object
`HttpSession` | `getSession()` The session object
`GrailsWebRequest` | `getWebRequest()` Retrieves the webRequest objec

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebRequestDelegatingRequestContext

    public WebRequestDelegatingRequestContext()

Method Detail

### getWebRequest

    public GrailsWebRequest getWebRequest()

  Retrieves the webRequest objec

  Returns:
    The webrequest object

### getRequest

    public HttpServletRequest getRequest()

  Description copied from interface: `GrailsRequestContext`
  The request object

  Specified by:
    `getRequest` in interface `GrailsRequestContext`
  Returns:
    The request object

### getResponse

    public HttpServletResponse getResponse()

  Description copied from interface: `GrailsRequestContext`
  The response object

  Specified by:
    `getResponse` in interface `GrailsRequestContext`
  Returns:
    The response object

### getSession

    public HttpSession getSession()

  Description copied from interface: `GrailsRequestContext`
  The session object

  Specified by:
    `getSession` in interface `GrailsRequestContext`
  Returns:
    The session object

### getServletContext

    public ServletContext getServletContext()

  Description copied from interface: `GrailsRequestContext`
  The servletContext object

  Specified by:
    `getServletContext` in interface `GrailsRequestContext`
  Returns:
    The servletContext Object

### getParams

    public Map getParams()

  Description copied from interface: `GrailsRequestContext`
  The params object

  Specified by:
    `getParams` in interface `GrailsRequestContext`
  Returns:
    The params object

### getApplicationContext

    public ApplicationContext getApplicationContext()

  Description copied from interface: `GrailsRequestContext`
  The ApplicationContext instance

  Specified by:
    `getApplicationContext` in interface `GrailsRequestContext`
  Returns:
    The ApplicationCOntext

### getOut

    public Writer getOut()

  Description copied from interface: `GrailsRequestContext`
  The response writer

  Specified by:
    `getOut` in interface `GrailsRequestContext`
  Returns:
    The response writer

### getActionName

    public String getActionName()

  Specified by:
    `getActionName` in interface `GrailsRequestContext`
  Returns:
    The Action name

### getControllerName

    public String getControllerName()

  Specified by:
    `getControllerName` in interface `GrailsRequestContext`
  Returns:
    The Controller Name

### getRequestURI

    public String getRequestURI()

  Specified by:
    `getRequestURI` in interface `GrailsRequestContext`
  Returns:
    The Request URI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project